import 'dart:typed_data';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:qrscan/qrscan.dart' as scanner;

class CreateController extends GetxController {
  TextEditingController? textEditingController;
  final imageFile = Uint8List(0).obs;

  final qrCodeOfInput = ''.obs;
  final cliked = 1.obs;

  Future generateBarCode(String inputCode) async {
    Uint8List result = await scanner.generateBarCode(inputCode);
    imageFile.value = result;
    qrCodeOfInput.value = inputCode;
  }

  @override
  void onInit() {
    super.onInit();
    textEditingController = TextEditingController();
  }
}
