import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:qrscan/qrscan.dart' as scanner;

class ScanController extends GetxController {
  final qrCodeString = ''.obs;
  getQrCodeString() async {
    scanner.scan().then((cameraScanResult) {
      debugPrint('string $cameraScanResult');
      if (cameraScanResult != null) qrCodeString.value = cameraScanResult;
    });
  }
}
